Lock Policy Update

PUT /pcas/v3/policy/

With this API, you can update compliance policies. The policy fields that can be updated using this API are Policy Title, Cover page, and Status (Active/Inactive).

Ensure to evaluate policy after making any changes. 

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer The ID of the policy you want to update.
policyTitle={value} Optional String Enter a title for the policy.
coverPage={value} Optional String Specify the cover page that you want to replace. Replace the existing cover page text from policy and set the specified policy cover page.
isActive={0 or false|1 or true} Optional Boolean Specify 0 or false to change policy status to inactive, or else specify 1 or true.

Users can enter either the policyId or the policyTitle. Providing both fields is not mandatory.

Sample - Update policySample - Update policy

API Request

curl -X 'PUT'\'<qualys_base_url>/pcas/v3/policy' 
\ -H 'accept: /' 
\ -H 'Authorization: Bearer ' 
\ -H 'Content-Type: application/json' 
\ -d '{"policyId":<policyId> , "policyTitle": "<policyTitle>", "coverPage":"<coverPage>", "isActive":<Boolean True / False> }'

XML Output

204


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.